Chris Bradford wrote:
Todd Zullinger wrote:
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
Chris Bradford wrote:
Can you forward me details on how you edited these scripts to call
wpa supplicant?
Sure. Here's a diff and a brief explanation.
diff -ur network-scripts~/ifdown-eth network-scripts/ifdown-eth
- --- network-scripts~/ifdown-eth 2006-06-30 16:02:42.000000000 -0400
+++ network-scripts/ifdown-eth 2006-07-10 12:27:46.000000000 -0400
@@ -105,6 +105,11 @@
/sbin/iwconfig ${DEVICE} enc 0>/dev/null 2>&1
fi
+# do devicetype specific shutdown stuff
+if [ -x "/etc/sysconfig/network-scripts/ifdown-${TYPE}" ]; then
+ /etc/sysconfig/network-scripts/ifdown-${TYPE} ${CONFIG}
+fi
+
if [ "$retcode" = 0 ] ; then
/etc/sysconfig/network-scripts/ifdown-post $CONFIG
# do NOT use $? because ifdown should return whether or not
diff -ur network-scripts~/ifdown-wireless
network-scripts/ifdown-wireless
- --- network-scripts~/ifdown-wireless 2006-08-16 08:36:57.000000000
-0400
+++ network-scripts/ifdown-wireless 2006-07-05 19:43:27.000000000 -0400
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+. /etc/sysconfig/network
+
+cd /etc/sysconfig/network-scripts
+. network-functions
+
+CONFIG=$1
+[ -f "$CONFIG" ] || CONFIG=ifcfg-$CONFIG
+source_config
+
+# disable the radio
+if [ "$RADIOCTRL" == "yes" ]; then
+ iwconfig $DEVICE txpower off
+fi
+
+if [ "$WPA" = "yes" -a -x /usr/sbin/wpa_supplicant ]; then
+ killall wpa_supplicant
+fi
diff -ur network-scripts~/ifup-wireless network-scripts/ifup-wireless
- --- network-scripts~/ifup-wireless 2005-09-30 14:51:15.000000000 -0400
+++ network-scripts/ifup-wireless 2006-07-04 12:42:39.000000000 -0400
@@ -88,6 +88,12 @@
iwpriv $DEVICE $IWPRIV
fi
+# enable the radio
+if [ "$RADIOCTRL" == "yes" ]; then
+ iwconfig $DEVICE txpower on
+ sleep 2
+fi
+
# ESSID need to be last : most device re-perform the scanning/discovery
# when this is set, and things like encryption keys are better be
# defined if we want to discover the right set of APs/nodes.
@@ -97,3 +103,11 @@
# use any essid
iwconfig $DEVICE essid any>/dev/null 2>&1
fi
+
+# use wpa_supplicant for connecting to WPA enabled APs
+WPA_SUPPLICANT=/usr/sbin/wpa_supplicant
+WPA_SUPPCONFIG=/etc/wpa_supplicant/wpa_supplicant.conf
+if [ "$WPA" = "yes" -a -n "$WPADRIVER" -a -x $WPA_SUPPLICANT ]; then
+ $WPA_SUPPLICANT -Bw -c$WPA_SUPPCONFIG -i$DEVICE -D$WPADRIVER
+fi
+
I added the WPA and WPADRIVER variables to my ifcfg script (eth1 in my
case) and created a proper wpa_supplicant config file. A basic config
looks something like this:
# allow frontend (e.g., wpa_cli) to be used by all users in 'wheel'
group
ctrl_interface=/var/run/wpa_supplicant
ctrl_interface_group=wheel
#ap_scan=2
#
# home network
network={
ssid="YOURNET"
scan_ssid=1
key_mgmt=WPA-PSK
pairwise=TKIP
group=TKIP
psk="super-secret-passphrase"
}
I had created the ifcfg-eth1 file using system-config-network while
trying to see if it would support wpa, so all I had to do was tweak a
few things by hand afterward.
HTH,
- -- Todd OpenPGP -> KeyID: 0xBEAF0CE3 | URL: www.pobox.com/~tmz/pgp
======================================================================
I've had a perfectly wonderful evening. But this wasn't it.
-- Groucho Marx
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)
iQFDBAEBAgAtBQJE4xTxJhhodHRwOi8vd3d3LnBvYm94LmNvbS9+dG16L3BncC90
bXouYXNjAAoJEEMlk4u+rwzjeaQH/2n6zx1A/6BSfzug0XNJU0reOK6d3Qx0l5G8
YqlF2JSHAfM7GSL8pQsP8jEkx8zYKUHm6dHQXlHgzgkprzMdPXDxoh8YCb32rkyu
f16hZ5GCOh0LOlr86XWiuhZDJVfFG5oG70Wdb80WiU9pDzLXO6uwA34AjwUkmK/0
ZCu0NkL7TdSrrwMPDXwisdZ+uRoh4VND9qAUz6J3aBavK5VrjLzGPEXVz3eoSWRI
ccm6FiUtim/oWyyaSvvcCPoUGBvJ0QSMMCXijMRU2RDl521C7hKTbEAHl94uftQw
aNRqb5AQejtGAta7IsaboakuuYbgv90shTMupUqJJpEp4WoL8uM=
=4K2w
-----END PGP SIGNATURE-----
OK this is strange I don't have an ifdown-wireless script.
I've added the lines from the first step into ifdown-eth, went to do
the next step and found this file does not exist, despite there being
an ifup-wireless script.
An ls -l of /etc/sysconfig/network-scripts/ gives:
-rw-r--r-- 3 root root 182 Aug 11 19:40 ifcfg-eth0
-rw-r--r-- 3 root root 350 Aug 11 19:40 ifcfg-eth1
-rw-r--r-- 1 root root 254 Jun 20 2001 ifcfg-lo
lrwxrwxrwx 1 root root 20 Jul 30 17:42 ifdown -> ../../../sbin/ifdown
-rwxr-xr-x 1 root root 1552 Feb 10 2006 ifdown-aliases
-rwxr-xr-x 1 root root 623 Jan 19 2005 ifdown-bnep
-rwxr-xr-x 1 root root 4127 Aug 16 21:02 ifdown-eth
-rwxr-xr-x 1 root root 4127 Aug 16 21:02 ifdown-eth~
-rwxr-xr-x 1 root root 827 Apr 15 2005 ifdown-ippp
-rwxr-xr-x 1 root root 1769 Mar 28 2005 ifdown-ipsec
-rwxr-xr-x 1 root root 4352 Sep 10 2004 ifdown-ipv6
lrwxrwxrwx 1 root root 11 Jul 30 17:42 ifdown-isdn -> ifdown-ippp
-rwxr-xr-x 1 root root 1235 Feb 1 2005 ifdown-post
-rwxr-xr-x 1 root root 1082 Sep 15 2003 ifdown-ppp
-rwxr-xr-x 1 root root 1568 Nov 12 2002 ifdown-sit
-rwxr-xr-x 1 root root 902 Jun 26 2002 ifdown-sl
lrwxrwxrwx 1 root root 18 Jul 30 17:42 ifup -> ../../../sbin/ifup
-rwxr-xr-x 1 root root 13342 Feb 10 2006 ifup-aliases
-rwxr-xr-x 1 root root 857 Feb 15 16:07 ifup-bnep
-rwxr-xr-x 1 root root 9938 Feb 28 23:43 ifup-eth
-rwxr-xr-x 1 root root 11900 Sep 26 2005 ifup-ippp
-rwxr-xr-x 1 root root 8077 Mar 30 2005 ifup-ipsec
-rwxr-xr-x 1 root root 10466 Oct 17 2004 ifup-ipv6
-rwxr-xr-x 1 root root 821 Jun 26 2002 ifup-ipx
lrwxrwxrwx 1 root root 9 Jul 30 17:42 ifup-isdn -> ifup-ippp
-rwxr-xr-x 1 root root 689 Jun 26 2002 ifup-plip
-rwxr-xr-x 1 root root 926 Jun 26 2002 ifup-plusb
-rwxr-xr-x 1 root root 2234 Apr 15 2005 ifup-post
-rwxr-xr-x 1 root root 4219 Apr 25 2005 ifup-ppp
-rwxr-xr-x 1 root root 1316 Oct 3 2005 ifup-routes
-rwxr-xr-x 1 root root 3546 Oct 17 2004 ifup-sit
-rwxr-xr-x 1 root root 1646 Jun 26 2002 ifup-sl
-rwxr-xr-x 1 root root 3325 Sep 30 2005 ifup-wireless
-rwxr-xr-x 1 root root 5432 Jan 12 2005 init.ipv6-global
-rw------- 3 root root 23 Aug 11 19:40 keys-eth1
-rwxr-xr-x 1 root root 1154 Feb 6 2006 net.hotplug
-rw-r--r-- 1 root root 9866 Feb 28 23:49 network-functions
-rw-r--r-- 1 root root 38496 Apr 15 2005 network-functions-ipv6
Any ideas?
Many thanks,
-Chris
This message has been scanned for viruses by BlackSpider MailControl -
www.blackspider.com
OK looking at this further I reckon there never was a file ifdown-wireless.
Therefore I created it and proceeded with the rest of the config.
However my card still will not connect on startup. I have attached the
config files for anyone to look at maybe you can see where I am going wrong!
The wifi interface is eth1.
Many thanks,
Chris
ctrl_interface=/var/run/wpa_supplicant
ctrl_interface_group=wheel
network={
ssid="linksys"
scan_ssid=1
key_mgmt=WPA-PSK
pairwise=TKIP
group=TKIP
psk="uber-key"
}
#!/bin/bash
# Network Interface Configuration System
# Copyright (c) 1996-2005 Red Hat, Inc. all rights reserved.
#
# This software may be freely redistributed under the terms of the GNU
# public license.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
. /etc/init.d/functions
cd /etc/sysconfig/network-scripts
. network-functions
[ -f ../network ] && . ../network
CONFIG=${1}
need_config ${CONFIG}
source_config
# Old BOOTP variable
if [ "${BOOTP}" = "yes" ]; then
BOOTPROTO=bootp
fi
if [ "${BOOTPROTO}" = "bootp" -o "${BOOTPROTO}" = "dhcp" ]; then
DYNCONFIG=true
fi
# load the module associated with that device
# /sbin/modprobe ${REALDEVICE}
is_available ${REALDEVICE}
# remap, if the device is bound with a MAC address and not the right device num
# bail out, if the MAC does not fit
if [ -n "${HWADDR}" ]; then
FOUNDMACADDR=`get_hwaddr ${REALDEVICE}`
if [ "${FOUNDMACADDR}" != "${HWADDR}" ]; then
curdev=`get_device_by_hwaddr ${HWADDR}`
if [ -n "$curdev" ]; then
rename_device "${REALDEVICE}" "${HWADDR}" "${curdev}" || {
echo $"Device ${DEVICE} has different MAC address than expected, ignoring."
exit 1
}
fi
fi
fi
# now check the real state
is_available ${REALDEVICE} || {
if [ -n "$alias" ]; then
echo $"$alias device ${DEVICE} does not seem to be present, delaying initialization."
else
echo $"Device ${DEVICE} does not seem to be present, delaying initialization."
fi
exit 1
}
# is the device wireless? If so, configure wireless device specifics
is_wireless_device ${DEVICE} && . ./ifup-wireless
if [ "${TYPE}" = "Bridge" ]; then
if [ ! -x /usr/sbin/brctl ]; then
echo $"Bridge support not available: brctl not found"
exit 1
fi
/sbin/ip link set dev ${DEVICE} down 2>/dev/null
/usr/sbin/brctl delbr ${DEVICE} 2>/dev/null
/usr/sbin/brctl addbr ${DEVICE} 2>/dev/null
# brctl doesn't report success/failure (BZ #104408)
# Test for ourselves whether it worked.
if ! /usr/sbin/brctl show | LANG=C grep -q "^${DEVICE} " ; then
echo $"Bridge support not available in this kernel"
exit 1
fi
[ -n "${DELAY}" ] && /usr/sbin/brctl setfd ${DEVICE} ${DELAY}
[ -n "${GCINT}" ] && /usr/sbin/brctl setgcint ${DEVICE} ${GCINT}
[ -n "${STP}" ] && /usr/sbin/brctl stp ${DEVICE} ${STP}
fi
if [ -n "${BRIDGE}" -a -x /usr/sbin/brctl ]; then
/sbin/ip addr flush dev ${DEVICE} 2>/dev/null
/sbin/ip link set dev ${DEVICE} up
/usr/sbin/brctl addif ${BRIDGE} ${DEVICE}
# Upon adding a device to a bridge,
# it's necessary to make radvd reload its config
[ -r /var/run/radvd/radvd.pid ] && kill -HUP `cat /var/run/radvd/radvd.pid`
exit 0
fi
# slave device?
if [ "${SLAVE}" = yes -a "${ISALIAS}" = no -a "${MASTER}" != "" -a \
-x /sbin/ifenslave ]; then
RFLAG="" ; [ "${RECEIVEONLY}" = yes ] && RFLAG="-r"
/sbin/ip link set dev ${DEVICE} down
echo $"Enslaving ${DEVICE} to ${MASTER}"
ifenslave ${RFLAG} "${MASTER}" "${DEVICE}" >/dev/null 2>&1
if [ -n "$ETHTOOL_OPTS" ] ; then
/sbin/ethtool -s ${REALDEVICE} $ETHTOOL_OPTS
fi
exit 0
fi
# Bonding initialization. For DHCP, we need to enslave the devices early,
# so it can actually get an IP.
if [ "${TYPE}" = "Bonding" ] || ethtool -i $DEVICE 2>/dev/null| grep -q "driver: bonding" ; then
/sbin/ip link set dev ${DEVICE} down
/sbin/ip link set dev ${DEVICE} up
for device in `LANG=C grep -l "^[[:space:]]*MASTER=${DEVICE}" /etc/sysconfig/network-scripts/ifcfg-*` ; do
if [ "$BOOTPROTO" = "dhcp" ]; then
/sbin/ifup ${device##*/}
fi
done
fi
# this isn't the same as the MAC in the configuration filename. It is
# available as a configuration option in the config file, forcing the kernel
# to think an ethernet card has a different MAC address than it really has.
if [ -n "${MACADDR}" ]; then
ip link set dev ${DEVICE} address ${MACADDR}
fi
if [ -n "${MTU}" ]; then
ip link set dev ${DEVICE} mtu ${MTU}
fi
if [ -n "${DYNCONFIG}" -a -x /sbin/dhclient ]; then
# Remove any temporary references which were previously added to dhclient config
if [ -w /etc/dhclient-${DEVICE}.conf ] ; then
LC_ALL=C grep -v "# temporary RHL ifup addition" /etc/dhclient-${DEVICE}.conf > /etc/dhclient-${DEVICE}.conf.ifupnew 2> /dev/null
cat /etc/dhclient-${DEVICE}.conf.ifupnew > /etc/dhclient-${DEVICE}.conf
rm -f /etc/dhclient-${DEVICE}.conf.ifupnew
fi
if [[ "${PERSISTENT_DHCLIENT}" = [yY1]* ]]; then
ONESHOT="";
else
ONESHOT="-1";
fi;
if [ -n "${DHCP_HOSTNAME}" ]; then
# Send a host-name to the DHCP server (requ. by some dhcp servers).
if [ -w /etc/dhclient-${DEVICE}.conf ] ; then
if ! LC_ALL=C grep "send *host-name *\"${DHCP_HOSTNAME}\"" /etc/dhclient-${DEVICE}.conf > /dev/null 2>&1 ; then
echo "send host-name \"${DHCP_HOSTNAME}\"; # temporary RHL ifup addition" >> /etc/dhclient-${DEVICE}.conf
fi
elif ! [ -e /etc/dhclient-${DEVICE}.conf ] ; then
echo "send host-name \"${DHCP_HOSTNAME}\"; # temporary RHL ifup addition" >> /etc/dhclient-${DEVICE}.conf
fi
fi
# allow users to use generic '/etc/dhclient.conf' (as documented in manpage!)
# if per-device file doesn't exist or is empty
if [ -s /etc/dhclient-${DEVICE}.conf ]; then
DHCLIENTCONF="-cf /etc/dhclient-${DEVICE}.conf";
else
DHCLIENTCONF='';
fi;
DHCLIENTARGS="${DHCLIENTARGS} ${ONESHOT} -q ${DHCLIENTCONF} -lf /var/lib/dhclient/dhclient-${DEVICE}.leases -pf /var/run/dhclient-${DEVICE}.pid"
echo
echo -n $"Determining IP information for ${DEVICE}..."
if check_link_down ${DEVICE}; then
echo $" failed; no link present. Check cable?"
ip link set dev ${DEVICE} down >/dev/null 2>&1
exit 1
fi
if [ -n "$ETHTOOL_OPTS" ] ; then
/sbin/ethtool -s ${REALDEVICE} $ETHTOOL_OPTS
fi
if /sbin/dhclient ${DHCLIENTARGS} ${DEVICE} ; then
echo $" done."
else
echo $" failed."
exit 1
fi
# end dynamic device configuration
else
if [ -z "${IPADDR}" ]; then
# enable device without IP, useful for e.g. PPPoE
ip link set dev ${REALDEVICE} up
if [ -n "$ETHTOOL_OPTS" ] ; then
/sbin/ethtool -s ${REALDEVICE} $ETHTOOL_OPTS
fi
# Bonding initialization part II
if [ "${TYPE}" = "Bonding" ] || ethtool -i $DEVICE 2>/dev/null| grep -q "driver: bonding" ; then
for device in `LANG=C grep -l "^[[:space:]]*MASTER=${DEVICE}" /etc/sysconfig/network-scripts/ifcfg-*` ; do
/sbin/ifup ${device##*/}
done
fi
if [ "${NETWORKING_IPV6}" = "yes" ]; then
/etc/sysconfig/network-scripts/ifup-ipv6 ${CONFIG}
fi
exec /etc/sysconfig/network-scripts/ifup-post ${CONFIG} ${2}
fi
expand_config
[ -n "${ARP}" ] && \
ip link set dev ${REALDEVICE} $(toggle_value arp $ARP)
if ! ip link set dev ${REALDEVICE} up ; then
echo $"Failed to bring up ${DEVICE}."
exit 1
fi
if [ -n "$ETHTOOL_OPTS" ] ; then
/sbin/ethtool -s ${REALDEVICE} $ETHTOOL_OPTS
fi
if [ "${DEVICE}" = "lo" ]; then
SCOPE="scope host"
else
SCOPE=${SCOPE:-}
fi
if [ -n "$SRCADDR" ]; then
SRC="src $SRCADDR"
else
SRC=
fi
if ! LC_ALL=C ip addr ls ${REALDEVICE} | LC_ALL=C grep -q "${IPADDR}/${PREFIX}" ; then
if ! arping -q -c 2 -w 3 -D -I ${REALDEVICE} ${IPADDR} ; then
echo $"Error, some other host already uses address ${IPADDR}."
exit 1
fi
if ! ip addr add ${IPADDR}/${PREFIX} \
brd ${BROADCAST:-+} dev ${REALDEVICE} ${SCOPE} label ${DEVICE}; then
echo $"Error adding address ${IPADDR} for ${DEVICE}."
fi
fi
if [ -n "$SRCADDR" ]; then
sysctl -w "net.ipv4.conf.${REALDEVICE}.arp_filter=1" >/dev/null 2>&1
fi
# update ARP cache of neighboring computers
arping -q -A -c 1 -I ${REALDEVICE} ${IPADDR}
( sleep 2;
arping -q -U -c 1 -I ${REALDEVICE} ${IPADDR} ) > /dev/null 2>&1 < /dev/null &
# Set a default route.
if [ -z "${GATEWAYDEV}" -o "${GATEWAYDEV}" = "${REALDEVICE}" ]; then
# set up default gateway. replace if one already exists
if [ -n "${GATEWAY}" -a "`ipcalc --network ${GATEWAY} ${NETMASK} 2>/dev/null`" = "NETWORK=${NETWORK}" ]; then
ip route replace default via ${GATEWAY} ${WINDOW:+window $WINDOW} ${SRC} ${GATEWAYDEV:+dev $GATEWAYDEV}
elif [ "${GATEWAYDEV}" = "${DEVICE}" ]; then
ip route replace default ${SRC} ${WINDOW:+window $WINDOW} dev ${REALDEVICE}
fi
fi
fi
# Bonding initialization part II - for static, enslave the devices. For
# DHCP, remove any routes for the slaves.
if [ "${TYPE}" = "Bonding" ] || ethtool -i $DEVICE 2>/dev/null| grep -q "driver: bonding" ; then
for device in `LANG=C grep -l "^[[:space:]]*MASTER=${DEVICE}" /etc/sysconfig/network-scripts/ifcfg-*` ; do
if [ "$BOOTPROTO" = "dhcp" ]; then
DEV=$DEVICE
eval $(LANG=C fgrep "DEVICE=" $device)
ifenslave -d $DEV $DEVICE
DEVICE=$DEV
fi
/sbin/ifup ${device##*/}
done
fi
# Add Zeroconf route.
if [ -z "${NOZEROCONF}" -a "${ISALIAS}" = "no" ]; then
ip route replace 169.254.0.0/16 dev ${REALDEVICE}
fi
# IPv6 initialisation?
if [ "${NETWORKING_IPV6}" = "yes" ]; then
/etc/sysconfig/network-scripts/ifup-ipv6 ${CONFIG}
if [[ "${DHCPV6C}" = [Yy1]* ]] && [ -x /sbin/dhcp6c ]; then
/sbin/dhcp6c ${DEVICE};
dhcp6_pid=(`/bin/ps -eo 'pid,args' | /bin/grep "dhcp6c ${DEVICE}" | egrep -v grep`);
echo ${dhcp6_pid[0]} > /var/run/dhcp6c_${DEVICE}.pid
fi;
fi
if [ "${IPX}" = yes ]; then
/etc/sysconfig/network-scripts/ifup-ipx ${DEVICE}
fi
exec /etc/sysconfig/network-scripts/ifup-post ${CONFIG} ${2}
#!/bin/bash
. /etc/sysconfig/network
cd /etc/sysconfig/network-scripts
. network-functions
CONFIG=$1
[ -f "$CONFIG" ] || CONFIG=ifcfg-$CONFIG
source_config
# disable the radio
if [ "$RADIOCTRL" == "yes" ]; then
iwconfig $DEVICE txpower off
fi
if [ "$WPA" = "yes" -a -x /usr/sbin/wpa_supplicant ]; then
killall wpa_supplicant
fi
#!/bin/bash
# Network Interface Configuration System
# Copyright (c) 1996-2005 Red Hat, Inc. all rights reserved.
#
# This software may be freely redistributed under the terms of the GNU
# public license.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
. /etc/init.d/functions
cd /etc/sysconfig/network-scripts
. network-functions
[ -f ../network ] && . ../network
CONFIG=${1}
source_config
if [ -n "${BRIDGE}" -a -x /usr/sbin/brctl ]; then
/sbin/ip link set dev ${DEVICE} down
/usr/sbin/brctl delif ${BRIDGE} ${DEVICE}
# Upon removing a device from a bridge,
# it's necessary to make radvd reload its config
[ -r /var/run/radvd/radvd.pid ] && kill -HUP `cat /var/run/radvd/radvd.pid`
exit 0
fi
. /etc/sysconfig/network
# Check to make sure the device is actually up
check_device_down ${DEVICE} && [ "$BOOTPROTO" != "dhcp" -a "$BOOTPROTO" != "bootp" ] && [ -n "$VLAN" -a "$VLAN" != "yes" ] && exit 0
if [ -n "${HWADDR}" -a -z "${MACADDR}" ]; then
FOUNDMACADDR=`get_hwaddr ${REALDEVICE}`
if [ -n "${FOUNDMACADDR}" -a "${FOUNDMACADDR}" != "${HWADDR}" ]; then
NEWCONFIG=`get_config_by_hwaddr ${FOUNDMACADDR}`
if [ -n "${NEWCONFIG}" -a "${NEWCONFIG##*/}" != "${CONFIG##*/}" ]; then
exec /sbin/ifdown ${NEWCONFIG}
else
echo $"Device ${DEVICE} has MAC address ${FOUNDMACADDR}, instead of configured address ${HWADDR}. Ignoring."
exit 1
fi
fi
fi
if [ "${NETWORKING_IPV6}" = "yes" ]; then
/etc/sysconfig/network-scripts/ifdown-ipv6 ${CONFIG}
if [[ "${DHCPV6C}" = [Yy1]* ]] && [ -f /var/run/dhcp6c_${DEVICE}.pid ]; then
kill `cat /var/run/dhcp6c_${DEVICE}.pid`;
rm -f /var/run/dhcp6c_${DEVICE}.pid;
fi;
fi;
retcode=0
[ -n "`pidof -x dhclient`" ] && {
if [ -f "/var/run/dhclient-${DEVICE}.pid" ]; then
dhcpid=`cat /var/run/dhclient-${DEVICE}.pid`
if [[ "$DHCPRELEASE" = [yY1]* ]]; then
/sbin/dhclient -r -lf /var/lib/dhclient/dhclient-${DEVICE}.leases -pf /var/run/dhclient-${DEVICE}.pid ${DEVICE} >/dev/null 2>&1
retcode=$?
else
kill $dhcpid >/dev/null 2>&1
retcode=$?
reason=STOP interface=${DEVICE} /sbin/dhclient-script
fi
if [ -f "/var/run/dhclient-${DEVICE}.pid" ]; then
rm -f /var/run/dhclient-${DEVICE}.pid
kill $dhcpid >/dev/null 2>&1
fi
fi
}
# we can't just delete the configured address because that address
# may have been changed in the config file since the device was
# brought up. Flush all addresses associated with this
# instance instead.
if [ -d "/sys/class/net/${REALDEVICE}" ]; then
if [ "${REALDEVICE}" = "${DEVICE}" ]; then
ip addr flush dev ${REALDEVICE} 2>/dev/null
else
ip addr flush dev ${REALDEVICE} label ${DEVICE} 2>/dev/null
fi
if [ "${REALDEVICE}" = "${DEVICE}" ]; then
ip link set dev ${DEVICE} down 2>/dev/null
fi
fi
[ "$retcode" = "0" ] && retcode=$?
# wait up to 5 seconds for device to actually come down...
waited=0
while ! check_device_down ${DEVICE} && [ "$waited" -lt 50 ] ; do
usleep 10000
waited=$(($waited+1))
done
# don't leave an outdated key sitting around
if [ -n "${WIRELESS_ENC_KEY}" -a -x /sbin/iwconfig ]; then
/sbin/iwconfig ${DEVICE} enc 0 >/dev/null 2>&1
fi
# do devicetype specific shutdown stuff
if [ -x "/etc/sysconfig/network-scripts/ifdown-${TYPE}" ]; then
/etc/sysconfig/network-scripts/ifdown-${TYPE} ${CONFIG}
fi
if [ "$retcode" = 0 ] ; then
/etc/sysconfig/network-scripts/ifdown-post $CONFIG
# do NOT use $? because ifdown should return whether or not
# the interface went down.
fi
if [ "$TYPE" = "Bridge" -a -x /usr/sbin/brctl ]; then
/usr/sbin/brctl delbr ${DEVICE}
fi
if [ -n "$VLAN" -a -x /sbin/vconfig ]; then
# 802.1q VLAN
if echo ${DEVICE} | LANG=C egrep -v '(:)' | LANG=C egrep -q '(eth|bond)[0-9][0-9]*\.[0-9][0-9]?[0-9]?[0-9]?' \
|| echo ${DEVICE} | LANG=C egrep -q 'vlan[0-9][0-9]?[0-9]?[0-9]?' ; then
[ -f /proc/net/vlan/${DEVICE} ] && {
/sbin/vconfig rem ${DEVICE}
}
fi
fi
exit $retcode
# Please read /usr/share/doc/initscripts-*/sysconfig.txt
# for the documentation of these parameters.
ONBOOT=yes
USERCTL=no
IPV6INIT=no
PEERDNS=yes
GATEWAY=192.168.1.1
TYPE=Wireless
DEVICE=eth1
HWADDR=00:11:50:0b:29:a9
BOOTPROTO=none
NETMASK=255.255.255.0
DHCP_HOSTNAME=
IPADDR=192.168.1.2
DOMAIN=
ESSID=linksys
CHANNEL=1
MODE=Managed
RATE='11 Mb/s'
#NEW
WPA='YES'
WPADRIVER='-Dwext'
#END NEW